Which Sage Connector should I use?

There are several versions of Sage 50 and Sage 200. Each version requires its own connector for iCompleat.

To check which version of Sage you are using, go to Help > About.

Sage 50 versions:

  • Sage 50 (2014) - v20
  • Sage 50 (2015) - v21
  • Sage 50 (2016) - v22
  • Sage 50 (2017) - v23
  • Sage 50 (2018) - v24
  • Sage 50 (2019) - v25

Sage 200 versions:

  • Sage 200 (Spring 2018) – 12.00.0013
  • Sage 200 (Summer 2017) – 12.00.0003
  • Sage 200 (Summer 2018) – 12.00.0020
  • Sage 200 (Winter 2017) – 12.00.0007

Return to main menu